execution state
Create execution state resume
Requires scopes: runs:write
POST
/
api
/
execution-state
/
handoffs
/
{bundleId}
/
resume
Create execution state resume
curl --request POST \
--url https://evalgate.com/api/execution-state/handoffs/{bundleId}/resume \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"acknowledgements": [
"objective"
]
}
'import requests
url = "https://evalgate.com/api/execution-state/handoffs/{bundleId}/resume"
payload = { "acknowledgements": ["objective"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({acknowledgements: ['objective']})
};
fetch('https://evalgate.com/api/execution-state/handoffs/{bundleId}/resume', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"decision": "failed",
"createdAt": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"reasonCodes": [
"<string>"
],
"evidence": [
{
"id": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"schemaVersion": 1,
"kind": "trace_revision",
"contentHash": "<string>",
"occurredAt": "<string>",
"privacyManifestId": "<string>",
"privacyViewId": "<string>"
}
],
"sessionId": "<string>",
"checks": {
"objectivePreserved": false,
"hardConstraintsPreserved": false,
"completedWorkPreserved": false,
"openWorkPreserved": false,
"rejectedApproachesPreserved": false,
"artifactIdentitiesPreserved": false,
"policyStatePreserved": false,
"sourceLimitationsAcknowledged": false
},
"handoffBundleId": "<string>",
"evaluatorReleaseId": "<string>",
"resumePlanHash": "<string>"
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"redaction": {
"applied": true,
"fieldCount": 1,
"secretCount": 1
}
}
}Authorizations
Organization-scoped EvalGate API key. Discover the supported agent scopes at /.well-known/oauth-protected-resource. Per-operation grants are listed in x-evalgate-required-scopes; OpenAPI bearer security requirement arrays remain empty as required for non-OAuth schemes.
Path Parameters
Body
application/json
Available options:
objective Response
Successful response
decision
Option 1 · enum<string>Option 2 · enum<string>Option 3 · enum<string>Option 4 · enum<string>Option 5 · enum<string>Option 6 · enum<string>
required
Available options:
failed Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Create execution state resume
